module RenoteDac

  class Configuration
    attr_accessor :username,:password, :heartbeat, :exchange, :exchange_type, :vhost, :rabbitmq_queue, :base_controller, :prod_base_url, :dev_base_url, :postmark_api_key, :from_address, :templates

    def initialize
      @username = nil
      @password = nil
      @heartbeat = 2
      @exchange = 'sneakers'
      @exchange_type = :direct
      @vhost = '/'
      @rabbitmq_queue = 'consumer_renote_dac.email'
      @base_controller = '::ApplicationController'
      @prod_base_url = nil
      @dev_base_url = nil
      @postmark_api_key = nil
      @from_address = 'Your App Name <app@name.com>'
      @templates = nil
    end
  end
end