require 'bcrypt'
require 'sneakers'
require 'postmark'
require 'jbuilder'
require 'que'
require 'clockwork'

module RenoteDac
  class Engine < ::Rails::Engine
    isolate_namespace RenoteDac

    initializer :append_migrations do |app|
      unless app.root.to_s.match root.to_s
        config.paths["db/migrate"].expanded.each do |expanded_path|
          app.config.paths["db/migrate"] << expanded_path
        end
      end
    end

    Dir["../lib/generators/renote_dac/*.rb"].each {|file| require file }
  end
end

